
void _efl_ui_caching_factory_memory_limit_set(Eo *obj, Efl_Ui_Caching_Factory_Data *pd, unsigned int limit);


static Eina_Error
__eolian_efl_ui_caching_factory_memory_limit_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   unsigned int cval;
   if (!eina_value_uint_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_caching_factory_memory_limit_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_caching_factory_memory_limit_set, EFL_FUNC_CALL(limit), unsigned int limit);

unsigned int _efl_ui_caching_factory_memory_limit_get(const Eo *obj, Efl_Ui_Caching_Factory_Data *pd);


static Eina_Value
__eolian_efl_ui_caching_factory_memory_limit_get_reflect(const Eo *obj)
{
   unsigned int val = efl_ui_caching_factory_memory_limit_get(obj);
   return eina_value_uint_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_caching_factory_memory_limit_get, unsigned int, 0);

void _efl_ui_caching_factory_items_limit_set(Eo *obj, Efl_Ui_Caching_Factory_Data *pd, unsigned int limit);


static Eina_Error
__eolian_efl_ui_caching_factory_items_limit_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   unsigned int cval;
   if (!eina_value_uint_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_caching_factory_items_limit_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_caching_factory_items_limit_set, EFL_FUNC_CALL(limit), unsigned int limit);

unsigned int _efl_ui_caching_factory_items_limit_get(const Eo *obj, Efl_Ui_Caching_Factory_Data *pd);


static Eina_Value
__eolian_efl_ui_caching_factory_items_limit_get_reflect(const Eo *obj)
{
   unsigned int val = efl_ui_caching_factory_items_limit_get(obj);
   return eina_value_uint_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_caching_factory_items_limit_get, unsigned int, 0);

Eina_Future *_efl_ui_caching_factory_efl_ui_factory_create(Eo *obj, Efl_Ui_Caching_Factory_Data *pd, Eina_Iterator *models);


void _efl_ui_caching_factory_efl_ui_factory_release(Eo *obj, Efl_Ui_Caching_Factory_Data *pd, Eina_Iterator *ui_views);


Eina_Error _efl_ui_caching_factory_efl_ui_property_bind_property_bind(Eo *obj, Efl_Ui_Caching_Factory_Data *pd, const char *key, const char *property);


void _efl_ui_caching_factory_efl_ui_widget_factory_item_class_set(Eo *obj, Efl_Ui_Caching_Factory_Data *pd, const Efl_Class *klass);


const Efl_Class *_efl_ui_caching_factory_efl_ui_widget_factory_item_class_get(const Eo *obj, Efl_Ui_Caching_Factory_Data *pd);


void _efl_ui_caching_factory_efl_object_invalidate(Eo *obj, Efl_Ui_Caching_Factory_Data *pd);


Efl_Object *_efl_ui_caching_factory_efl_object_finalize(Eo *obj, Efl_Ui_Caching_Factory_Data *pd);


static Eina_Bool
_efl_ui_caching_factory_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_CACHING_FACTORY_EXTRA_OPS
#define EFL_UI_CACHING_FACTORY_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_caching_factory_memory_limit_set, _efl_ui_caching_factory_memory_limit_set),
      EFL_OBJECT_OP_FUNC(efl_ui_caching_factory_memory_limit_get, _efl_ui_caching_factory_memory_limit_get),
      EFL_OBJECT_OP_FUNC(efl_ui_caching_factory_items_limit_set, _efl_ui_caching_factory_items_limit_set),
      EFL_OBJECT_OP_FUNC(efl_ui_caching_factory_items_limit_get, _efl_ui_caching_factory_items_limit_get),
      EFL_OBJECT_OP_FUNC(efl_ui_factory_create, _efl_ui_caching_factory_efl_ui_factory_create),
      EFL_OBJECT_OP_FUNC(efl_ui_factory_release, _efl_ui_caching_factory_efl_ui_factory_release),
      EFL_OBJECT_OP_FUNC(efl_ui_property_bind, _efl_ui_caching_factory_efl_ui_property_bind_property_bind),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_factory_item_class_set, _efl_ui_caching_factory_efl_ui_widget_factory_item_class_set),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_factory_item_class_get, _efl_ui_caching_factory_efl_ui_widget_factory_item_class_get),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_caching_factory_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_caching_factory_efl_object_finalize),
      EFL_UI_CACHING_FACTORY_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"memory_limit", __eolian_efl_ui_caching_factory_memory_limit_set_reflect, __eolian_efl_ui_caching_factory_memory_limit_get_reflect},
      {"items_limit", __eolian_efl_ui_caching_factory_items_limit_set_reflect, __eolian_efl_ui_caching_factory_items_limit_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_caching_factory_class_desc = {
   EO_VERSION,
   "Efl.Ui.Caching_Factory",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Caching_Factory_Data),
   _efl_ui_caching_factory_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_caching_factory_class_get, &_efl_ui_caching_factory_class_desc, EFL_UI_WIDGET_FACTORY_CLASS, NULL);
